Package de.willuhn.jameica.hbci.io.ser

# Interface Serializer<T>

Type Parameters:
  `T` - Typ, von und zu dem serialisiert wird.

All Known Implementing Classes:
  `BooleanSerializer`, `DateSerializer`, `DefaultSerializer`, `ExtendedUsageSerializer`, `UmsatzTypSerializer`, `ValueSerializer`

public interface Serializer<T>
Basis-Interface, welches alle Serializer implementieren muessen.

## Method Summary

Modifier and Type
Method
Description
`String`
`serialize(Object context, T value)`
Serialisiert das uebergebene Objekt.
`T`
`unserialize(Object context, String value)`
Deserialisiert den uebergebenen Text.

## Method Details

### serialize

String serialize(Object context, T value) throws IOException
Serialisiert das uebergebene Objekt.

Parameters:
  `context` - das Context-Objekt. In der Regel handelt es sich hier um die Bean, zu der das Attribut gehoert.
  `value` - das zu serialisierende Objekt.
Returns:
  das serialisierte Objekt.
Throws:
  `IOException`

### unserialize

T unserialize(Object context, String value) throws IOException
Deserialisiert den uebergebenen Text.

Parameters:
  `context` - das Context-Objekt. In der Regel handelt es sich hier um die Bean, zu der das Attribut gehoert.
  `value` - der zu deserialisierende Text.
Returns:
  das deserialisierte Objekt.
Throws:
  `IOException`